module gl.SciLexer;

import gl.gl;

alias char uchar;

// Scintilla source code edit control
/** @file SciLexer.h
 ** Interface to the added lexer functions in the SciLexer version of the edit control.
 **/
// Copyright 1998-2002 by Neil Hodgson <neilh@scintilla.org>
// The License.txt file describes the conditions under which this software may be distributed.

// Most of this file is automatically generated from the Scintilla.iface interface definition
// file which contains any comments about the definitions. HFacer.py does the generation.

//#ifndef SCILEXER_H
//#define SCILEXER_H

// SciLexer features - not in standard Scintilla

//++Autogenerated -- start of section automatically generated from Scintilla.iface
const int SCLEX_CONTAINER = 0;
const int SCLEX_NULL = 1;
const int SCLEX_PYTHON = 2;
const int SCLEX_CPP = 3;
const int SCLEX_HTML = 4;
const int SCLEX_XML = 5;
const int SCLEX_PERL = 6;
const int SCLEX_SQL = 7;
const int SCLEX_VB = 8;
const int SCLEX_PROPERTIES = 9;
const int SCLEX_ERRORLIST = 10;
const int SCLEX_MAKEFILE = 11;
const int SCLEX_BATCH = 12;
const int SCLEX_XCODE = 13;
const int SCLEX_LATEX = 14;
const int SCLEX_LUA = 15;
const int SCLEX_DIFF = 16;
const int SCLEX_CONF = 17;
const int SCLEX_PASCAL = 18;
const int SCLEX_AVE = 19;
const int SCLEX_ADA = 20;
const int SCLEX_LISP = 21;
const int SCLEX_RUBY = 22;
const int SCLEX_EIFFEL = 23;
const int SCLEX_EIFFELKW = 24;
const int SCLEX_TCL = 25;
const int SCLEX_NNCRONTAB = 26;
const int SCLEX_BULLANT = 27;
const int SCLEX_VBSCRIPT = 28;
const int SCLEX_ASP = 29;
const int SCLEX_PHP = 30;
const int SCLEX_BAAN = 31;
const int SCLEX_MATLAB = 32;
const int SCLEX_SCRIPTOL = 33;
const int SCLEX_ASM = 34;
const int SCLEX_CPPNOCASE = 35;
const int SCLEX_FORTRAN = 36;
const int SCLEX_F77 = 37;
const int SCLEX_CSS = 38;
const int SCLEX_POV = 39;
const int SCLEX_LOUT = 40;
const int SCLEX_ESCRIPT = 41;
const int SCLEX_PS = 42;
const int SCLEX_NSIS = 43;
const int SCLEX_MMIXAL = 44;
const int SCLEX_CLW = 45;
const int SCLEX_CLWNOCASE = 46;
const int SCLEX_LOT = 47;
const int SCLEX_YAML = 48;
const int SCLEX_AUTOMATIC = 1000;
const int SCE_P_DEFAULT = 0;
const int SCE_P_COMMENTLINE = 1;
const int SCE_P_NUMBER = 2;
const int SCE_P_STRING = 3;
const int SCE_P_CHARACTER = 4;
const int SCE_P_WORD = 5;
const int SCE_P_TRIPLE = 6;
const int SCE_P_TRIPLEDOUBLE = 7;
const int SCE_P_CLASSNAME = 8;
const int SCE_P_DEFNAME = 9;
const int SCE_P_OPERATOR = 10;
const int SCE_P_IDENTIFIER = 11;
const int SCE_P_COMMENTBLOCK = 12;
const int SCE_P_STRINGEOL = 13;
const int SCE_C_DEFAULT = 0;
const int SCE_C_COMMENT = 1;
const int SCE_C_COMMENTLINE = 2;
const int SCE_C_COMMENTDOC = 3;
const int SCE_C_NUMBER = 4;
const int SCE_C_WORD = 5;
const int SCE_C_STRING = 6;
const int SCE_C_CHARACTER = 7;
const int SCE_C_UUID = 8;
const int SCE_C_PREPROCESSOR = 9;
const int SCE_C_OPERATOR = 10;
const int SCE_C_IDENTIFIER = 11;
const int SCE_C_STRINGEOL = 12;
const int SCE_C_VERBATIM = 13;
const int SCE_C_REGEX = 14;
const int SCE_C_COMMENTLINEDOC = 15;
const int SCE_C_WORD2 = 16;
const int SCE_C_COMMENTDOCKEYWORD = 17;
const int SCE_C_COMMENTDOCKEYWORDERROR = 18;
const int SCE_C_GLOBALCLASS = 19;
const int SCE_H_DEFAULT = 0;
const int SCE_H_TAG = 1;
const int SCE_H_TAGUNKNOWN = 2;
const int SCE_H_ATTRIBUTE = 3;
const int SCE_H_ATTRIBUTEUNKNOWN = 4;
const int SCE_H_NUMBER = 5;
const int SCE_H_DOUBLESTRING = 6;
const int SCE_H_SINGLESTRING = 7;
const int SCE_H_OTHER = 8;
const int SCE_H_COMMENT = 9;
const int SCE_H_ENTITY = 10;
const int SCE_H_TAGEND = 11;
const int SCE_H_XMLSTART = 12;
const int SCE_H_XMLEND = 13;
const int SCE_H_SCRIPT = 14;
const int SCE_H_ASP = 15;
const int SCE_H_ASPAT = 16;
const int SCE_H_CDATA = 17;
const int SCE_H_QUESTION = 18;
const int SCE_H_VALUE = 19;
const int SCE_H_XCCOMMENT = 20;
const int SCE_H_SGML_DEFAULT = 21;
const int SCE_H_SGML_COMMAND = 22;
const int SCE_H_SGML_1ST_PARAM = 23;
const int SCE_H_SGML_DOUBLESTRING = 24;
const int SCE_H_SGML_SIMPLESTRING = 25;
const int SCE_H_SGML_ERROR = 26;
const int SCE_H_SGML_SPECIAL = 27;
const int SCE_H_SGML_ENTITY = 28;
const int SCE_H_SGML_COMMENT = 29;
const int SCE_H_SGML_1ST_PARAM_COMMENT = 30;
const int SCE_H_SGML_BLOCK_DEFAULT = 31;
const int SCE_HJ_START = 40;
const int SCE_HJ_DEFAULT = 41;
const int SCE_HJ_COMMENT = 42;
const int SCE_HJ_COMMENTLINE = 43;
const int SCE_HJ_COMMENTDOC = 44;
const int SCE_HJ_NUMBER = 45;
const int SCE_HJ_WORD = 46;
const int SCE_HJ_KEYWORD = 47;
const int SCE_HJ_DOUBLESTRING = 48;
const int SCE_HJ_SINGLESTRING = 49;
const int SCE_HJ_SYMBOLS = 50;
const int SCE_HJ_STRINGEOL = 51;
const int SCE_HJ_REGEX = 52;
const int SCE_HJA_START = 55;
const int SCE_HJA_DEFAULT = 56;
const int SCE_HJA_COMMENT = 57;
const int SCE_HJA_COMMENTLINE = 58;
const int SCE_HJA_COMMENTDOC = 59;
const int SCE_HJA_NUMBER = 60;
const int SCE_HJA_WORD = 61;
const int SCE_HJA_KEYWORD = 62;
const int SCE_HJA_DOUBLESTRING = 63;
const int SCE_HJA_SINGLESTRING = 64;
const int SCE_HJA_SYMBOLS = 65;
const int SCE_HJA_STRINGEOL = 66;
const int SCE_HJA_REGEX = 67;
const int SCE_HB_START = 70;
const int SCE_HB_DEFAULT = 71;
const int SCE_HB_COMMENTLINE = 72;
const int SCE_HB_NUMBER = 73;
const int SCE_HB_WORD = 74;
const int SCE_HB_STRING = 75;
const int SCE_HB_IDENTIFIER = 76;
const int SCE_HB_STRINGEOL = 77;
const int SCE_HBA_START = 80;
const int SCE_HBA_DEFAULT = 81;
const int SCE_HBA_COMMENTLINE = 82;
const int SCE_HBA_NUMBER = 83;
const int SCE_HBA_WORD = 84;
const int SCE_HBA_STRING = 85;
const int SCE_HBA_IDENTIFIER = 86;
const int SCE_HBA_STRINGEOL = 87;
const int SCE_HP_START = 90;
const int SCE_HP_DEFAULT = 91;
const int SCE_HP_COMMENTLINE = 92;
const int SCE_HP_NUMBER = 93;
const int SCE_HP_STRING = 94;
const int SCE_HP_CHARACTER = 95;
const int SCE_HP_WORD = 96;
const int SCE_HP_TRIPLE = 97;
const int SCE_HP_TRIPLEDOUBLE = 98;
const int SCE_HP_CLASSNAME = 99;
const int SCE_HP_DEFNAME = 100;
const int SCE_HP_OPERATOR = 101;
const int SCE_HP_IDENTIFIER = 102;
const int SCE_HPA_START = 105;
const int SCE_HPA_DEFAULT = 106;
const int SCE_HPA_COMMENTLINE = 107;
const int SCE_HPA_NUMBER = 108;
const int SCE_HPA_STRING = 109;
const int SCE_HPA_CHARACTER = 110;
const int SCE_HPA_WORD = 111;
const int SCE_HPA_TRIPLE = 112;
const int SCE_HPA_TRIPLEDOUBLE = 113;
const int SCE_HPA_CLASSNAME = 114;
const int SCE_HPA_DEFNAME = 115;
const int SCE_HPA_OPERATOR = 116;
const int SCE_HPA_IDENTIFIER = 117;
const int SCE_HPHP_DEFAULT = 118;
const int SCE_HPHP_HSTRING = 119;
const int SCE_HPHP_SIMPLESTRING = 120;
const int SCE_HPHP_WORD = 121;
const int SCE_HPHP_NUMBER = 122;
const int SCE_HPHP_VARIABLE = 123;
const int SCE_HPHP_COMMENT = 124;
const int SCE_HPHP_COMMENTLINE = 125;
const int SCE_HPHP_HSTRING_VARIABLE = 126;
const int SCE_HPHP_OPERATOR = 127;
const int SCE_PL_DEFAULT = 0;
const int SCE_PL_ERROR = 1;
const int SCE_PL_COMMENTLINE = 2;
const int SCE_PL_POD = 3;
const int SCE_PL_NUMBER = 4;
const int SCE_PL_WORD = 5;
const int SCE_PL_STRING = 6;
const int SCE_PL_CHARACTER = 7;
const int SCE_PL_PUNCTUATION = 8;
const int SCE_PL_PREPROCESSOR = 9;
const int SCE_PL_OPERATOR = 10;
const int SCE_PL_IDENTIFIER = 11;
const int SCE_PL_SCALAR = 12;
const int SCE_PL_ARRAY = 13;
const int SCE_PL_HASH = 14;
const int SCE_PL_SYMBOLTABLE = 15;
const int SCE_PL_REGEX = 17;
const int SCE_PL_REGSUBST = 18;
const int SCE_PL_LONGQUOTE = 19;
const int SCE_PL_BACKTICKS = 20;
const int SCE_PL_DATASECTION = 21;
const int SCE_PL_HERE_DELIM = 22;
const int SCE_PL_HERE_Q = 23;
const int SCE_PL_HERE_QQ = 24;
const int SCE_PL_HERE_QX = 25;
const int SCE_PL_STRING_Q = 26;
const int SCE_PL_STRING_QQ = 27;
const int SCE_PL_STRING_QX = 28;
const int SCE_PL_STRING_QR = 29;
const int SCE_PL_STRING_QW = 30;
const int SCE_B_DEFAULT = 0;
const int SCE_B_COMMENT = 1;
const int SCE_B_NUMBER = 2;
const int SCE_B_KEYWORD = 3;
const int SCE_B_STRING = 4;
const int SCE_B_PREPROCESSOR = 5;
const int SCE_B_OPERATOR = 6;
const int SCE_B_IDENTIFIER = 7;
const int SCE_B_DATE = 8;
const int SCE_PROPS_DEFAULT = 0;
const int SCE_PROPS_COMMENT = 1;
const int SCE_PROPS_SECTION = 2;
const int SCE_PROPS_ASSIGNMENT = 3;
const int SCE_PROPS_DEFVAL = 4;
const int SCE_L_DEFAULT = 0;
const int SCE_L_COMMAND = 1;
const int SCE_L_TAG = 2;
const int SCE_L_MATH = 3;
const int SCE_L_COMMENT = 4;
const int SCE_LUA_DEFAULT = 0;
const int SCE_LUA_COMMENT = 1;
const int SCE_LUA_COMMENTLINE = 2;
const int SCE_LUA_COMMENTDOC = 3;
const int SCE_LUA_NUMBER = 4;
const int SCE_LUA_WORD = 5;
const int SCE_LUA_STRING = 6;
const int SCE_LUA_CHARACTER = 7;
const int SCE_LUA_LITERALSTRING = 8;
const int SCE_LUA_PREPROCESSOR = 9;
const int SCE_LUA_OPERATOR = 10;
const int SCE_LUA_IDENTIFIER = 11;
const int SCE_LUA_STRINGEOL = 12;
const int SCE_LUA_WORD2 = 13;
const int SCE_LUA_WORD3 = 14;
const int SCE_LUA_WORD4 = 15;
const int SCE_LUA_WORD5 = 16;
const int SCE_LUA_WORD6 = 17;
const int SCE_LUA_WORD7 = 18;
const int SCE_LUA_WORD8 = 19;
const int SCE_ERR_DEFAULT = 0;
const int SCE_ERR_PYTHON = 1;
const int SCE_ERR_GCC = 2;
const int SCE_ERR_MS = 3;
const int SCE_ERR_CMD = 4;
const int SCE_ERR_BORLAND = 5;
const int SCE_ERR_PERL = 6;
const int SCE_ERR_NET = 7;
const int SCE_ERR_LUA = 8;
const int SCE_ERR_CTAG = 9;
const int SCE_ERR_DIFF_CHANGED = 10;
const int SCE_ERR_DIFF_ADDITION = 11;
const int SCE_ERR_DIFF_DELETION = 12;
const int SCE_ERR_DIFF_MESSAGE = 13;
const int SCE_ERR_PHP = 14;
const int SCE_ERR_ELF = 15;
const int SCE_ERR_IFC = 16;
const int SCE_BAT_DEFAULT = 0;
const int SCE_BAT_COMMENT = 1;
const int SCE_BAT_WORD = 2;
const int SCE_BAT_LABEL = 3;
const int SCE_BAT_HIDE = 4;
const int SCE_BAT_COMMAND = 5;
const int SCE_BAT_IDENTIFIER = 6;
const int SCE_BAT_OPERATOR = 7;
const int SCE_MAKE_DEFAULT = 0;
const int SCE_MAKE_COMMENT = 1;
const int SCE_MAKE_PREPROCESSOR = 2;
const int SCE_MAKE_IDENTIFIER = 3;
const int SCE_MAKE_OPERATOR = 4;
const int SCE_MAKE_TARGET = 5;
const int SCE_MAKE_IDEOL = 9;
const int SCE_DIFF_DEFAULT = 0;
const int SCE_DIFF_COMMENT = 1;
const int SCE_DIFF_COMMAND = 2;
const int SCE_DIFF_HEADER = 3;
const int SCE_DIFF_POSITION = 4;
const int SCE_DIFF_DELETED = 5;
const int SCE_DIFF_ADDED = 6;
const int SCE_CONF_DEFAULT = 0;
const int SCE_CONF_COMMENT = 1;
const int SCE_CONF_NUMBER = 2;
const int SCE_CONF_IDENTIFIER = 3;
const int SCE_CONF_EXTENSION = 4;
const int SCE_CONF_PARAMETER = 5;
const int SCE_CONF_STRING = 6;
const int SCE_CONF_OPERATOR = 7;
const int SCE_CONF_IP = 8;
const int SCE_CONF_DIRECTIVE = 9;
const int SCE_AVE_DEFAULT = 0;
const int SCE_AVE_COMMENT = 1;
const int SCE_AVE_NUMBER = 2;
const int SCE_AVE_WORD = 3;
const int SCE_AVE_STRING = 6;
const int SCE_AVE_ENUM = 7;
const int SCE_AVE_STRINGEOL = 8;
const int SCE_AVE_IDENTIFIER = 9;
const int SCE_AVE_OPERATOR = 10;
const int SCE_AVE_WORD1 = 11;
const int SCE_AVE_WORD2 = 12;
const int SCE_AVE_WORD3 = 13;
const int SCE_AVE_WORD4 = 14;
const int SCE_AVE_WORD5 = 15;
const int SCE_AVE_WORD6 = 16;
const int SCE_ADA_DEFAULT = 0;
const int SCE_ADA_WORD = 1;
const int SCE_ADA_IDENTIFIER = 2;
const int SCE_ADA_NUMBER = 3;
const int SCE_ADA_DELIMITER = 4;
const int SCE_ADA_CHARACTER = 5;
const int SCE_ADA_CHARACTEREOL = 6;
const int SCE_ADA_STRING = 7;
const int SCE_ADA_STRINGEOL = 8;
const int SCE_ADA_LABEL = 9;
const int SCE_ADA_COMMENTLINE = 10;
const int SCE_ADA_ILLEGAL = 11;
const int SCE_BAAN_DEFAULT = 0;
const int SCE_BAAN_COMMENT = 1;
const int SCE_BAAN_COMMENTDOC = 2;
const int SCE_BAAN_NUMBER = 3;
const int SCE_BAAN_WORD = 4;
const int SCE_BAAN_STRING = 5;
const int SCE_BAAN_PREPROCESSOR = 6;
const int SCE_BAAN_OPERATOR = 7;
const int SCE_BAAN_IDENTIFIER = 8;
const int SCE_BAAN_STRINGEOL = 9;
const int SCE_BAAN_WORD2 = 10;
const int SCE_LISP_DEFAULT = 0;
const int SCE_LISP_COMMENT = 1;
const int SCE_LISP_NUMBER = 2;
const int SCE_LISP_KEYWORD = 3;
const int SCE_LISP_STRING = 6;
const int SCE_LISP_STRINGEOL = 8;
const int SCE_LISP_IDENTIFIER = 9;
const int SCE_LISP_OPERATOR = 10;
const int SCE_EIFFEL_DEFAULT = 0;
const int SCE_EIFFEL_COMMENTLINE = 1;
const int SCE_EIFFEL_NUMBER = 2;
const int SCE_EIFFEL_WORD = 3;
const int SCE_EIFFEL_STRING = 4;
const int SCE_EIFFEL_CHARACTER = 5;
const int SCE_EIFFEL_OPERATOR = 6;
const int SCE_EIFFEL_IDENTIFIER = 7;
const int SCE_EIFFEL_STRINGEOL = 8;
const int SCE_NNCRONTAB_DEFAULT = 0;
const int SCE_NNCRONTAB_COMMENT = 1;
const int SCE_NNCRONTAB_TASK = 2;
const int SCE_NNCRONTAB_SECTION = 3;
const int SCE_NNCRONTAB_KEYWORD = 4;
const int SCE_NNCRONTAB_MODIFIER = 5;
const int SCE_NNCRONTAB_ASTERISK = 6;
const int SCE_NNCRONTAB_NUMBER = 7;
const int SCE_NNCRONTAB_STRING = 8;
const int SCE_NNCRONTAB_ENVIRONMENT = 9;
const int SCE_NNCRONTAB_IDENTIFIER = 10;
const int SCE_MATLAB_DEFAULT = 0;
const int SCE_MATLAB_COMMENT = 1;
const int SCE_MATLAB_COMMAND = 2;
const int SCE_MATLAB_NUMBER = 3;
const int SCE_MATLAB_KEYWORD = 4;
const int SCE_MATLAB_STRING = 5;
const int SCE_MATLAB_OPERATOR = 6;
const int SCE_MATLAB_IDENTIFIER = 7;
const int SCE_SCRIPTOL_DEFAULT = 0;
const int SCE_SCRIPTOL_WHITE = 1;
const int SCE_SCRIPTOL_COMMENTLINE = 2;
const int SCE_SCRIPTOL_PERSISTENT = 3;
const int SCE_SCRIPTOL_CSTYLE = 4;
const int SCE_SCRIPTOL_COMMENTBLOCK = 5;
const int SCE_SCRIPTOL_NUMBER = 6;
const int SCE_SCRIPTOL_STRING = 7;
const int SCE_SCRIPTOL_CHARACTER = 8;
const int SCE_SCRIPTOL_STRINGEOL = 9;
const int SCE_SCRIPTOL_KEYWORD = 10;
const int SCE_SCRIPTOL_OPERATOR = 11;
const int SCE_SCRIPTOL_IDENTIFIER = 12;
const int SCE_SCRIPTOL_TRIPLE = 13;
const int SCE_SCRIPTOL_CLASSNAME = 14;
const int SCE_SCRIPTOL_PREPROCESSOR = 15;
const int SCE_ASM_DEFAULT = 0;
const int SCE_ASM_COMMENT = 1;
const int SCE_ASM_NUMBER = 2;
const int SCE_ASM_STRING = 3;
const int SCE_ASM_OPERATOR = 4;
const int SCE_ASM_IDENTIFIER = 5;
const int SCE_ASM_CPUINSTRUCTION = 6;
const int SCE_ASM_MATHINSTRUCTION = 7;
const int SCE_ASM_REGISTER = 8;
const int SCE_ASM_DIRECTIVE = 9;
const int SCE_ASM_DIRECTIVEOPERAND = 10;
const int SCE_F_DEFAULT = 0;
const int SCE_F_COMMENT = 1;
const int SCE_F_NUMBER = 2;
const int SCE_F_STRING1 = 3;
const int SCE_F_STRING2 = 4;
const int SCE_F_STRINGEOL = 5;
const int SCE_F_OPERATOR = 6;
const int SCE_F_IDENTIFIER = 7;
const int SCE_F_WORD = 8;
const int SCE_F_WORD2 = 9;
const int SCE_F_WORD3 = 10;
const int SCE_F_PREPROCESSOR = 11;
const int SCE_F_OPERATOR2 = 12;
const int SCE_F_LABEL = 13;
const int SCE_F_CONTINUATION = 14;
const int SCE_CSS_DEFAULT = 0;
const int SCE_CSS_TAG = 1;
const int SCE_CSS_CLASS = 2;
const int SCE_CSS_PSEUDOCLASS = 3;
const int SCE_CSS_UNKNOWN_PSEUDOCLASS = 4;
const int SCE_CSS_OPERATOR = 5;
const int SCE_CSS_IDENTIFIER = 6;
const int SCE_CSS_UNKNOWN_IDENTIFIER = 7;
const int SCE_CSS_VALUE = 8;
const int SCE_CSS_COMMENT = 9;
const int SCE_CSS_ID = 10;
const int SCE_CSS_IMPORTANT = 11;
const int SCE_CSS_DIRECTIVE = 12;
const int SCE_CSS_DOUBLESTRING = 13;
const int SCE_CSS_SINGLESTRING = 14;
const int SCE_POV_DEFAULT = 0;
const int SCE_POV_COMMENT = 1;
const int SCE_POV_COMMENTLINE = 2;
const int SCE_POV_NUMBER = 3;
const int SCE_POV_OPERATOR = 4;
const int SCE_POV_IDENTIFIER = 5;
const int SCE_POV_STRING = 6;
const int SCE_POV_STRINGEOL = 7;
const int SCE_POV_DIRECTIVE = 8;
const int SCE_POV_BADDIRECTIVE = 9;
const int SCE_POV_WORD2 = 10;
const int SCE_POV_WORD3 = 11;
const int SCE_POV_WORD4 = 12;
const int SCE_POV_WORD5 = 13;
const int SCE_POV_WORD6 = 14;
const int SCE_POV_WORD7 = 15;
const int SCE_POV_WORD8 = 16;
const int SCE_LOUT_DEFAULT = 0;
const int SCE_LOUT_COMMENT = 1;
const int SCE_LOUT_NUMBER = 2;
const int SCE_LOUT_WORD = 3;
const int SCE_LOUT_WORD2 = 4;
const int SCE_LOUT_WORD3 = 5;
const int SCE_LOUT_WORD4 = 6;
const int SCE_LOUT_STRING = 7;
const int SCE_LOUT_OPERATOR = 8;
const int SCE_LOUT_IDENTIFIER = 9;
const int SCE_LOUT_STRINGEOL = 10;
const int SCE_ESCRIPT_DEFAULT = 0;
const int SCE_ESCRIPT_COMMENT = 1;
const int SCE_ESCRIPT_COMMENTLINE = 2;
const int SCE_ESCRIPT_COMMENTDOC = 3;
const int SCE_ESCRIPT_NUMBER = 4;
const int SCE_ESCRIPT_WORD = 5;
const int SCE_ESCRIPT_STRING = 6;
const int SCE_ESCRIPT_OPERATOR = 7;
const int SCE_ESCRIPT_IDENTIFIER = 8;
const int SCE_ESCRIPT_BRACE = 9;
const int SCE_ESCRIPT_WORD2 = 10;
const int SCE_ESCRIPT_WORD3 = 11;
const int SCE_PS_DEFAULT = 0;
const int SCE_PS_COMMENT = 1;
const int SCE_PS_DSC_COMMENT = 2;
const int SCE_PS_DSC_VALUE = 3;
const int SCE_PS_NUMBER = 4;
const int SCE_PS_NAME = 5;
const int SCE_PS_KEYWORD = 6;
const int SCE_PS_LITERAL = 7;
const int SCE_PS_IMMEVAL = 8;
const int SCE_PS_PAREN_ARRAY = 9;
const int SCE_PS_PAREN_DICT = 10;
const int SCE_PS_PAREN_PROC = 11;
const int SCE_PS_TEXT = 12;
const int SCE_PS_HEXSTRING = 13;
const int SCE_PS_BASE85STRING = 14;
const int SCE_PS_BADSTRINGCHAR = 15;
const int SCE_NSIS_DEFAULT = 0;
const int SCE_NSIS_COMMENT = 1;
const int SCE_NSIS_STRINGDQ = 2;
const int SCE_NSIS_STRINGLQ = 3;
const int SCE_NSIS_STRINGRQ = 4;
const int SCE_NSIS_FUNCTION = 5;
const int SCE_NSIS_VARIABLE = 6;
const int SCE_NSIS_LABEL = 7;
const int SCE_NSIS_USERDEFINED = 8;
const int SCE_NSIS_SECTIONDEF = 9;
const int SCE_NSIS_SUBSECTIONDEF = 10;
const int SCE_NSIS_IFDEFINEDEF = 11;
const int SCE_NSIS_MACRODEF = 12;
const int SCE_NSIS_STRINGVAR = 13;
const int SCE_MMIXAL_LEADWS = 0;
const int SCE_MMIXAL_COMMENT = 1;
const int SCE_MMIXAL_LABEL = 2;
const int SCE_MMIXAL_OPCODE = 3;
const int SCE_MMIXAL_OPCODE_PRE = 4;
const int SCE_MMIXAL_OPCODE_VALID = 5;
const int SCE_MMIXAL_OPCODE_UNKNOWN = 6;
const int SCE_MMIXAL_OPCODE_POST = 7;
const int SCE_MMIXAL_OPERANDS = 8;
const int SCE_MMIXAL_NUMBER = 9;
const int SCE_MMIXAL_REF = 10;
const int SCE_MMIXAL_CHAR = 11;
const int SCE_MMIXAL_STRING = 12;
const int SCE_MMIXAL_REGISTER = 13;
const int SCE_MMIXAL_HEX = 14;
const int SCE_MMIXAL_OPERATOR = 15;
const int SCE_MMIXAL_SYMBOL = 16;
const int SCE_MMIXAL_INCLUDE = 17;
const int SCE_CLW_DEFAULT = 0;
const int SCE_CLW_LABEL = 1;
const int SCE_CLW_COMMENT = 2;
const int SCE_CLW_STRING = 3;
const int SCE_CLW_USER_IDENTIFIER = 4;
const int SCE_CLW_INTEGER_CONSTANT = 5;
const int SCE_CLW_REAL_CONSTANT = 6;
const int SCE_CLW_PICTURE_STRING = 7;
const int SCE_CLW_KEYWORD = 8;
const int SCE_CLW_COMPILER_DIRECTIVE = 9;
const int SCE_CLW_BUILTIN_PROCEDURES_FUNCTION = 10;
const int SCE_CLW_STRUCTURE_DATA_TYPE = 11;
const int SCE_CLW_ATTRIBUTE = 12;
const int SCE_CLW_STANDARD_EQUATE = 13;
const int SCE_CLW_ERROR = 14;
const int SCE_LOT_DEFAULT = 0;
const int SCE_LOT_HEADER = 1;
const int SCE_LOT_BREAK = 2;
const int SCE_LOT_SET = 3;
const int SCE_LOT_PASS = 4;
const int SCE_LOT_FAIL = 5;
const int SCE_LOT_ABORT = 6;
const int SCE_YAML_DEFAULT = 0;
const int SCE_YAML_COMMENT = 1;
const int SCE_YAML_IDENTIFIER = 2;
const int SCE_YAML_KEYWORD = 3;
const int SCE_YAML_NUMBER = 4;
const int SCE_YAML_REFERENCE = 5;
const int SCE_YAML_DOCUMENT = 6;
//--Autogenerated -- end of section automatically generated from Scintilla.iface

//#endif
